Subject: Re: [Gen-art] Genart last call review of draft-ietf-core-hop-limit-05
From: "Roni Even (A)" <[email-masked]>
To: "[email-masked]" <[email-masked]>,Jaime Jiménez <[email-masked]>, Roni Even <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Tue, 24 Sep 2019 04:29:51 +0000
List-Id: "GEN-ART: General Area Review Team" <gen-art.ietf.org>

Hi Med,
Thanks, I have no further comments

Roni

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, September 23, 2019 9:19 AM
To: Roni Even (A); Jaime Jiménez; Roni Even
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: RE: [Gen-art] Genart last call review of draft-ietf-core-hop-limit-05

Hi Roni,

Sure. We can include a suggested value. 

Thank you for the review.

Cheers,
Med

> -----Message d'origine-----
> De : Roni Even (A) [mailto:[email-masked]] Envoyé : lundi 23 
> septembre 2019 07:01 À : Jaime Jiménez; Roni Even Cc : 
> [email-masked]; [email-masked]; 
> [email-masked]; [email-masked] Objet : RE: [Gen-art] Genart last call 
> review of draft-ietf-core-hop-
> limit-05
> 
> Hi,
> I looked at section 5.4.6 and now I understand that the option is 
> elective, non-repeatable and part of cache key.
> That will mean that the option number should have the two least 
> significant bits as 0 and the next 3 bits some combination that is not 
> all 1's, see also https://tools.ietf.org/html/rfc7252#section-5.10
> 
> I think you need to recommend a number for the option to IANA that 
> will allow understanding of the characteristics of the option, IANA 
> cannot allocate a random number to a new option
> 
> Roni
> 
> 
> 
> -----Original Message-----
> From: Gen-art [mailto:[email-masked]] On Behalf Of Jaime 
> Jiménez
> Sent: Sunday, September 22, 2019 4:29 PM
> To: Roni Even
> Cc: [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]
> Subject: Re: [Gen-art] Genart last call review of draft-ietf-core-hop-
> limit-05
> 
> Dear Roni,
> 
> I believe the CUNR bit mask is defined in 5.4.6
> https://tools.ietf.org/html/rfc7252#page-39
> I assume it has to be added for every new option defined.
> 
> Ciao!
> 
> On Sun, Sep 22, 2019 at 05:10:51AM -0700, Roni Even via Datatracker wrote:
> > Reviewer: Roni Even
> > Review result: Ready with Nits
> >
> > I am the assigned Gen-ART reviewer for this draft. The General Area 
> > Review Team (Gen-ART) reviews all IETF documents being processed by 
> > the IESG for the IETF Chair.  Please treat these comments just like 
> > any other last call comments.
> >
> > For more information, please see the FAQ at
> >
> > <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> >
> > Document: draft-ietf-core-hop-limit-??
> > Reviewer: Roni Even
> > Review Date: 2019-09-22
> > IETF LC End Date: 2019-09-27
> > IESG Telechat date: Not scheduled for a telechat
> >
> > Summary:
> > The document is ready for publication as a standard track RFC with 
> > nits
> >
> > Major issues:
> >
> > Minor issues:
> >
> > Nits/editorial comments:
> >
> > In section 6.2 I am not sure why you have CUNR , I did not see these 
> > values in
> > RFC7252 section 12.2 
> > https://tools.ietf.org/html/rfc7252#section-12.2
> > or in the registry
> >
> >          +--------+---+---+---+---+------------------+-----------+
> >          | Number | C | U | N | R | Name             | Reference |
> >          +--------+---+---+---+---+------------------+-----------+
> >          |  TBA2  |   |   |   |   | Hop-Limit        | [RFCXXXX] |
> >          +--------+---+---+---+---+------------------+-----------+
> >              C=Critical, U=Unsafe, N=NoCacheKey, R=Repeatable
> >
> >
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art